Skip to main content

Update NIBSS Mandate

Overview​

The UpdateNibssMandateCommand updates an existing NIBSS direct debit mandate. Only mandates in Draft status can be updated. Once a mandate has been authorised, it cannot be modified.

Command Details​

  • Command: UpdateNibssMandateCommand
  • Type: Command

API Endpoint​

POST /api/bpm/cmd

Request Structure​

FieldTypeRequiredDescription
mandateIdlongYesThe ID of the mandate to update
amountdecimalNoUpdated total mandate amount
debitAmountdecimalNoUpdated debit instalment amount
numberOfInstallmentsintNoUpdated number of instalments
mobileNumberstringNoUpdated mobile number
emailAddressstringNoUpdated email address
payerNamestringNoUpdated payer name
tagstringNoUpdated tag

Try It Out​

POST/api/bpm/cmdUpdateNibssMandateCommand
Request Body

Response Structure​

{
"response": {
"id": 5012,
"status": "Draft"
},
"responseCode": "00",
"responseDescription": "Mandate updated successfully"
}